package com.adealink.weparty.room.listener

import com.adealink.frame.room.data.LeaveRoomReason

interface IRoomOpListener {
    fun exitRoom(reason: LeaveRoomReason)
    fun showRoomCloseTipDialog(reason: LeaveRoomReason = LeaveRoomReason.INITIATIVE)
}

interface IRoomCloseCallback {
    fun onRoomMinimize(minimize: (Boolean) -> Unit)
    fun onRoomClose(close: (Boolean) -> Unit)
}